# Contributing

## Getting started

- Install Git by following the instructions [on the git-scm website](https://git-scm.com/)
- Install the "LTS" (Long Term Stable) version of Node by following the instructions [on Node's website](https://nodejs.org)

## Workflow

Open your command line and `cd` into your project's directory. Then you can:

- Run `npm install` to install dependencies
- Run `npm run dev` then open [`localhost:3000`](http://localhost:3000) to interactively develop in the app dev environment
- Run `npm run storybook` then open [`localhost:9999`](http://localhost:9999) to interactively develop in the [Storybook](https://storybook.js.org/) component environment
- Run `npm run test` to run tests
- When you commit, `npm run precommit` runs automatically to ensure things are working as expected with your changes
- Run `npm run build` to build the production version of the application (or `npm run export` if you want a static bundle without server rendering)
- Run `npm run start` to start the built production version of your project

## Technology

This project used [the JavaScript Stack Team Starter](https://ip.ldschurch.org/1252/document/react-starter) as the starting point. Please strive to keep the project up-to-date with the [Recommended Technology](https://ip.ldschurch.org/1271/document/recommended-technology) from the JavaScript Stack Team.
