import React, { Component, RefObject } from 'react';
import { ChildComponent } from './child-component';
import { Provider } from 'mobx-react';

export class ParentComponent extends Component {
    private child: RefObject<ChildComponent> = React.createRef<ChildComponent>();
    private child2: ChildComponent | null = null;

    buttonClicked = () => {
        if (this.child.current) {
            this.child.current.log();
        }
        if (this.child2) {
            this.child2.log();
        }
    }


    render() {
        return (
            <div>
                <Provider value="Hello World">
                    <ChildComponent ref={this.child}></ChildComponent>
                </Provider>
                <Provider value="Hello World 2">
                    <ChildComponent ref={ref => this.child2 = ref}></ChildComponent>
                </Provider>
                <button onClick={this.buttonClicked}>Testing</button>
            </div>
        )
    }
}